From: Bala Rajagopalan <[email-masked]>
Date: Sun, 19 Mar 2000 11:38:25 -0800 (PST)

Hello:

From Peter Ashwood-Smith
>
>  What has happened is a general realization that no
matter what we 
>switch on, be it spacecial (fiber), time (TDM),
frequency(lambda) or 
>shim (statistical), the requirements on the
signalling and routing
>protocols are VERY similar with variations caused by
certain physical
>properties of each switching mechanism. These
variations are probably 
>not sufficient to warrant completely independent
protocols. About the
>most serious of these differences is the merge/non
merge ability and
>even that existed in the statistical (ATM) domain. As
a result we are 
>in the process of rationalizing and distilling out
what the common 
>properties are of all of these mechanisms and trying
to build a common 
>mechanism to deal with them all. We may or may not
succeed however
>since we rarely all agree on anything.

In this particular case, the similarity at a high
level is the
tenuous (abstract) relationship to label switching.
This is where
it ends, actually. Whether you should design a new
protocol or not
is an academic issue; once you're done with all the
extensions
(and deletions which haven't been discussed much), you
essentially 
have a new protocol (or at least, new functionality).
It is very 
practical to use an existing
wrapper (e.g., CRLDP or RSVP) to do the messaging and
this is
obvious to everyone. But the resulting protocol itself
has meaning 
only in the domain (optical) for which it is designed
(please see draft-tang-crldp... for semantic
differences, etc).
As for your comment
about distilling out common properties, etc., it could
very well be 
the case that the basic messaging wrapper is common.
Even
here, fundamental properties like RSVP soft state may
not 
make sense in environments that are different from IP
networks. In the end, it's perhaps practical to look
at
interactions at the edges of domains and come up with
a 
standard protocol (e.g., wrapped up in RSVP or CRLDP)
based on agreed upon requirements. 

>The single level global/distributed optimal placement
problem is "easier" 
>to 
>solve than a two level global/optimal placement
problem. Actually I 
>think the two level problem is unsolvable because it
lacks exact 
>data at the second level. A fact I'm sure many
operators of existing
>overlay networks will attest to.
>

I'm not contending this at all. The real issue is a
practical
one, which is whether the
entire IP/optical system can be treated as a single
network in which
routers compute internal paths through the optical
network at will. 
I very much doubt this, since 
optical mesh networks are being designed for
efficient capacity utilization and high
responsiveness,
with appropriate provisioning and
restoration algorithms. How do you tightly integrate
routers
with this network as suggested by some peer models?  
It's more pragmatic, IMO, to think about a model where
dynamic bandwidth provisioning between routers around
an
optical cloud is facilitated through limited exchange
of routing information and standard signaling at the
edge. 

Regards,

Bala

=====
Bala Rajagopalan
85 Ketcham Rd.
Belle Mead, NJ 08502

Ph: +1-908-904-4302
Email: [email-masked]

__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com